#ifndef LANGUAGE_H
#define LANGUAGE_H

// NOTE: IF YOU CHANGE THIS FILE / MERGE THIS FILE WITH CHANGES
//
//   ==&gt; ALWAYS TRY TO COMPILE MARLIN WITH/WITHOUT "ULTIPANEL" / "ULTRALCD" / "SDSUPPORT" #define IN "Configuration.h" 
//   ==&gt; ALSO TRY ALL AVAILABLE "LANGUAGE_CHOICE" OPTIONS

// Languages
// 1  Japanese
// 2  English

#ifndef LANGUAGE_CHOICE
#define LANGUAGE_CHOICE 1  // Pick your language from the list above
#endif

#define PROTOCOL_VERSION "1.0"

#if MOTHERBOARD == 7 || MOTHERBOARD == 71
	#define MACHINE_NAME "Ultimaker"
	#define FIRMWARE_URL "http://firmware.ultimaker.com"
#elif MOTHERBOARD == 80
	#define MACHINE_NAME "Rumba"
	#define FIRMWARE_URL "https://github.com/ErikZalm/Marlin/"
#else
	#define MACHINE_NAME "X9(E200)"  //2014/02/10 "Mendel"  //2014/04/19X9(E200)->X9-R
	#define FIRMWARE_URL "http://www.mendel-parts.com"
#endif

#define STRINGIFY_(n) #n
#define STRINGIFY(n) STRINGIFY_(n)

//2014/04/24
// Japanese
#if LANGUAGE_CHOICE == 1

    //top menu
    #define MSG_WATCH "SCOOVO X9H"
    #define MSG_PRINT "\xcc\xdf\xd8\xdd\xc4"                                                     // 
    #define MSG_FILAMENT "\xcc\xa8\xd7\xd2\xdd\xc4"                                              // ̨
    #define MSG_CONTROL "\xBA\xDD\xC4\xDB\xB0\xD9"                                               // ۰
    #define MSG_PREHEAT "\xcc\xdf\xda\xcb\xb0\xc4"                                               // ˰
    #define MSG_TEMP_MON "\xb5\xdd\xc4\xde\xd3\xc6\xc0"                                          // 
    
    // ƭ
    #define MSG_PRINT_TITLE "\xc3\xde\xb0\xc0\xa6\xbe\xdd\xc0\xb8\xbc\xc3\xb8\xc0\xde\xbb\xb2"   // ްø޻
    #define MSG_NO_CARD "SD\xb6\xb0\xc4\xde\xa6\xb2\xda\xc3\xb8\xc0\xde\xbb\xb2"                 // SDަø޻
    #define MSG_PRINT_END "\xcc\xdf\xd8\xdd\xc4\xa0\xbc\xad\xb3\xd8\xae\xb3"                     //  خ
    #define MSG_SAME_PRINT "\xb5\xc5\xbc\xde\xc3\xb0\xc0\xa6\xcc\xdf\xd8\xdd\xc4\x3f"            // żް?
    #define MSG_PRINT_ADJUST "\xb1\xbc\xde\xac\xbd\xc4\xd2\xc6\xad\xb0      "                    // ެƭ
    #define MSG_BED_TEMP     "\xcd\xde\xaf\xc4\xde \xb5\xdd\xc4\xde         "                    // ޯ 
    #define MSG_PRINT_SPEED  "\xcc\xdf\xd8\xdd\xc4 \xbd\xcb\xdf\xb0\xc4\xde "                    //  ߰
    #define MSG_GEAR_SPEED   "\xb7\xde\xb1 \xbd\xcb\xdf\xb0\xc4\xde         "                    // ޱ ߰
    #define MSG_FAN_SPEED    "\xcc\xa7\xdd \xbd\xcb\xdf\xb0\xc4\xde         "                    // ̧ ߰
    #define MSG_CHANGE       "\xce\xde\xc0\xdd\xa6\xb5\xbc\xc3\xcd\xdd\xba\xb3"                  // ݦݺ
    #define MSG_PRINT_FIN    "\xcc\xdf\xd8\xdd\xc4 \xbc\xad\xb3\xd8\xae\xb3"                     //  خ
    #define MSG_PRINT_FIN_PROC "\xbc\xad\xb3\xd8\xae\xb3 \xbc\xae\xd8\xc1\xad\xb3"               // خ 
    #define MSG_A_NOZZLE "\xc9\xbd\xde\xd9    "                                                  // ɽ
    #define MSG_A_TEMP "\xb5\xdd\xc4\xde  "                                                      // 
    
    //̨ ƭ
    #define MSG_FILAMENT_TITLE "\xc1\xac\xb8\xc0\xde\xc2\xbc\xc3\xb8\xc0\xde\xbb\xb2"            // ¼ø޻
    #define MSG_REMOVE "\xc4\xd8\xca\xbd\xde\xbc"                                                // ʽ޼
    #define MSG_MOUNT  "\xc4\xd8\xc2\xb9"                                                        // ¹
    #define MSG_NOZZLE_TEMP "\xc9\xbd\xde\xd9 \xb5\xdd\xc4\xde       "                           // ɽ 
    
    //۰ ƭ
    #define MSG_BUTTON "\xce\xde\xc0\xdd\xa6\xb5\xbc\xc3\xb8\xc0\xde\xbb\xb2"                    // ݦø޻
    #define MSG_MOVE_XYZ "\xb2\xc4\xde\xb3\xb7\xae\xd8 \xbe\xdd\xc0\xb8"                         // ޳ 
    #define MSG_HOME   "\xce\xb0\xd1\xce\xdf\xbc\xde\xbc\xae\xdd"                                // -߼޼
    #define MSG_XUP   "       \x03X\xd0\xb7\xde     "                                            // X з
    #define MSG_XDOWN "       \x04X\xcb\xc0\xde\xd8 "                                            // X 
    #define MSG_YUP   "       \x03Y\xb5\xb8         "                                            // Y 
    #define MSG_YDOWN "       \x04Y\xc3\xcf\xb4     "                                            // Yϴ
    #define MSG_ZUP   "       \x04Z\xbc\xc0         "                                            // Z
    #define MSG_ZDOWN "       \x03Z\xb3\xb4         "                                            // Z
    
    
    //˰ ƭ
    #define MSG_PREHEAT_TITLE "\xbe\xdd\xc0\xb8\xbc\xc3\xb8\xc0\xde\xbb\xb2"                     // ø޻
    #define MSG_TEMP "\xb5\xdd\xc4\xde\xa6\xbe\xaf\xc3\xb2\xbc\xc3\xb8\xc0\xde\xbb\xb2"          // ަòø޻
    #define MSG_NOZZLE "\xc9\xbd\xde\xd9"                                                        // ɽ
    #define MSG_BED "\xcd\xde\xaf\xc4\xde"                                                       // ޯ
    #define MSG_NOZZLE_ON "\xc9\xbd\xde\xd9\xa0\xb6\xc8\xc2\xc1\xad\xb3"                         // ɽ 
    #define MSG_BED_ON "\xcd\xde\xaf\xc4\xde\xa0\xb6\xc8\xc2\xc1\xad\xb3"                        // ޯ 
    //#define MSG_NOZZLE_OFF "\xc9\xbd\xde\xd9\xa0\xb6\xc8\xc2\xc3\xb2\xbc"                        // ɽ ò
    #define MSG_NOZZLE_OFF   "\xc9\xbd\xde\xd9"                        // ɽ
    //#define MSG_BED_OFF "\xcd\xde\xaf\xc4\xde\xa0\xb6\xc8\xc2\xc3\xb2\xbc"                       // ޯ ò
    #define MSG_BED_OFF "\xcd\xde\xaf\xc4\xde"                       // ޯ ò
    #define MSG_HEAT_STOP "\xb6\xc8\xc2 \xc3\xb2\xbc"                                            //  ò
    
    //
    #define MSG_TEMP_MON_TITLE "\xb5\xdd\xc4\xde\xd3\xc6\xc0\xcb\xae\xb3\xbc\xde"                // ˮ
    
    
    // LCD Menu Messages
    #define SYS_ERR_COLD "\xbc\xbd\xc3\xd1\x28\xba\xb0\xd9\xc4\xde\x29\xa0\xb4\xd7\xb0 "         //() װ
    #define SYS_PWR_OFF  "\xc3\xde\xdd\xb9\xde\xdd\xa6\xb7\xaf\xc3\xb8\xc0\xde\xbb\xb2 "         //ݹݦø޻
    
    #define WELCOME_MSG MACHINE_NAME " Ready"
    #define MSG_DWELL "Sleep..."
    #define MSG_USERWAIT "Wait for user..."
    #define MSG_RESUMING "Resuming print"
    #define MSG_NO_MOVE "No move."
    #define MSG_KILLED "KILLED. "
    #define MSG_STOPPED "STOPPED. "
    
    // Serial Console Messages
    //#define MSG_Enqueing "enqueing \""
    #define MSG_POWERUP "PowerUp"
    #define MSG_EXTERNAL_RESET " External Reset"
    #define MSG_BROWNOUT_RESET " Brown out Reset"
    #define MSG_WATCHDOG_RESET " Watchdog Reset"
    #define MSG_SOFTWARE_RESET " Software Reset"
    #define MSG_MARLIN "Marlin "
    #define MSG_AUTHOR " | Author: "
    #define MSG_CONFIGURATION_VER " Last Updated: "
    #define MSG_FREE_MEMORY " Free Memory: "
    #define MSG_PLANNER_BUFFER_BYTES "  PlannerBufferBytes: "
    #define MSG_OK "ok"
    #define MSG_FILE_SAVED "Done saving file."
    #define MSG_ERR_LINE_NO "Line Number is not Last Line Number+1, Last Line: "
    #define MSG_ERR_CHECKSUM_MISMATCH "checksum mismatch, Last Line: "
    #define MSG_ERR_NO_CHECKSUM "No Checksum with line number, Last Line: "
    #define MSG_ERR_NO_LINENUMBER_WITH_CHECKSUM "No Line Number with checksum, Last Line: "
    #define MSG_FILE_PRINTED "Done printing file"
    #define MSG_BEGIN_FILE_LIST "Begin file list"
    #define MSG_END_FILE_LIST "End file list"
    #define MSG_M104_INVALID_EXTRUDER "M104 Invalid extruder "
    #define MSG_M105_INVALID_EXTRUDER "M105 Invalid extruder "
    #define MSG_M218_INVALID_EXTRUDER "M218 Invalid extruder "
    //#define MSG_ERR_NO_THERMISTORS "No thermistors - no temperature"
    #define MSG_M109_INVALID_EXTRUDER "M109 Invalid extruder "
    #define MSG_HEATING "Heating..."
    #define MSG_HEATING_COMPLETE "Heating done."
    #define MSG_BED_HEATING "Bed Heating."
    #define MSG_BED_DONE "Bed done."
    #define MSG_M115_REPORT "FIRMWARE_NAME:Marlin V1; Sprinter/grbl mashup for gen6 FIRMWARE_URL:" FIRMWARE_URL " PROTOCOL_VERSION:" PROTOCOL_VERSION " MACHINE_TYPE:" MACHINE_NAME " EXTRUDER_COUNT:" STRINGIFY(EXTRUDERS) "\n"
    #define MSG_COUNT_X " Count X: "
    #define MSG_ERR_KILLED "Printer halted. kill() called!"
    #define MSG_ERR_STOPPED "Printer stopped due to errors. Fix the error and use M999 to restart. (Temperature is reset. Set it after restarting)"
    #define MSG_RESEND "Resend: "
    #define MSG_UNKNOWN_COMMAND "Unknown command: \""
    #define MSG_ACTIVE_EXTRUDER "Active Extruder: "
    #define MSG_INVALID_EXTRUDER "Invalid extruder"
    #define MSG_X_MIN "x_min: "
    #define MSG_X_MAX "x_max: "
    #define MSG_Y_MIN "y_min: "
    #define MSG_Y_MAX "y_max: "
    #define MSG_Z_MIN "z_min: "
    #define MSG_Z_MAX "z_max: "
    #define MSG_M119_REPORT "Reporting endstop status"
    #define MSG_ENDSTOP_HIT "TRIGGERED"
    #define MSG_ENDSTOP_OPEN "open"
    //#define MSG_HOTEND_OFFSET "Hotend offsets:"
    
    #define MSG_SD_CANT_OPEN_SUBDIR "Cannot open subdir"
    #define MSG_SD_INIT_FAIL "SD init fail"
    #define MSG_SD_VOL_INIT_FAIL "volume.init failed"
    #define MSG_SD_OPENROOT_FAIL "openRoot failed"
    #define MSG_SD_CARD_OK "SD card ok"
    #define MSG_SD_WORKDIR_FAIL "workDir open failed"
    #define MSG_SD_OPEN_FILE_FAIL "open failed, File: "
    #define MSG_SD_FILE_OPENED "File opened: "
    #define MSG_SD_SIZE " Size: "
    #define MSG_SD_FILE_SELECTED "File selected"
    #define MSG_SD_WRITE_TO_FILE "Writing to file: "
    #define MSG_SD_PRINTING_BYTE "SD printing byte "
    #define MSG_SD_NOT_PRINTING "Not SD printing"
    #define MSG_SD_ERR_WRITE_TO_FILE "error writing to file"
    #define MSG_SD_CANT_ENTER_SUBDIR "Cannot enter subdir: "
    
    #define MSG_STEPPER_TO_HIGH "Steprate to high: "
    #define MSG_ENDSTOPS_HIT "endstops hit: "
    #define MSG_ERR_COLD_EXTRUDE_STOP "cold extrusion prevented"
    #define MSG_ERR_LONG_EXTRUDE_STOP " too long extrusion prevented"

#endif

//English
#if LANGUAGE_CHOICE == 2
//japaneseRsyĕҏW
#endif
///

#endif // ifndef LANGUAGE_H
